<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [screenshot](./puppeteer.page.screenshot.md)

## Page.screenshot() method

<b>Signature:</b>

```typescript
screenshot(options?: ScreenshotOptions): Promise<Buffer | string | void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | ScreenshotOptions |  |

<b>Returns:</b>

Promise&lt;Buffer \| string \| void&gt;

